bsflite(1)

NAME
bsflite - Minimalist AIM(R) client

SYNOPSIS
bsflite

DESCRIPTION
BSFlite is a very light and minimal client for AOL(R)'s Instant Messenger(TM) service that works (or should work) under most varieties of UNIX. It features only the basics that every client should have, that is sending and receiving messages, adding and deleting buddies and viewing the buddy list, with other features included for convenience and simplicity.

  Running bsflite
BSFlite runs without any command-line options or configuration files. Simply execute bsflite at a shell prompt. It will prompt for your AIM(R) screen name and password and connect. Note that these can be stored along with other options in a configuration file, detailed below.

Once connected, you may enter commands at the prompt. Most commands are either one or two characters long, and are meant to be run without a space in between the command and the argument. For example, to send a message, type:

mscreename This is my message.

That is, the screen name immediately follows the m command, and is entered in lowercase without any spaces. This is the general convention for screen names in bsflite in order to allow the parser to detect where your message begins.

  Commands

h, ?
    Displays a list of commands.

w, ws, wf
    Displays the buddy list. ws displays the list sorted by status, with indicators next to the screen name to indicate this. Status is indicated by [o], online and active, [i], idle for more than 10 minutes, [a], away for less than 10 minutes, and [g], gone with away message for over 10 minutes (idle). wf displays the buddy list sorted in alphabetical order regardless of status, and additionally displays buddies' idle times. Note that w is an alias for ws.

mscreenname message
    Sends message to screenname, where screenname is entered in lowercase and without spaces.

r   Replies to the last person whom you messaged or who messaged you. This is a command alias for m that automatically enters the appropriate screen name and a space so that you may begin typing the message immediately.

pscreenname
    Pastes a block of text to screenname. After pressing return, you may paste your text. BSFlite will begin sending once the send buffer is full, so multiple lines may be sent in one single message. Type '.' in a line by itself to end paste mode and send whatever is left in the buffer. Press Ctrl-X to leave paste mode without sending what is in the buffer. Note that text may have already been sent if you have entered any text in paste mode, even if you press Ctrl-X.

L, lscreenname, lg
    Displays the last 20 lines from the last person to message you (L) or screenname (l). This information is stored in log files detailed below. If single_log is turned on in the configuration file, L or lg display the last 20 lines of the single log file.

ascreenname, dscreenname
    Adds or deletes, respectively, screenname from your buddy list.

I, iscreenname, Ascreenname, Pscreenname
    Retrieves information about screenname (or, for I, the last person who sent you a message). I and i retrieve the user's away message and profile, and if the user is in your buddylist it'll also show the user's idle time. A and P can be used to retrieve only the away message and profile, respectively.

gmessage (if not away), g (if away)
    Sets an away message if not away, and removes the away message if away.

G, Gnum
    Displays a numbered list of pre-defined away messages (see FILES below) when run without an argument, and sets the away message when run with a number. Use g to remove this away message.

v   Toggles invisibility on and off.

z!  Reloads your profile and list of pre-defined away messages (see FILES below).

q!  Exits bsflite.

  Configuration file
The configuration file is located in ~/.bsflite/config and can contain any of the following options:

username username
    Your screen name.

password password
    Your password.

squelchconnect true/false
    Hide notifications when a buddy signs on or off. (Default: false)

squelchidle true/false
    Hide notifications when a buddy becomes idle or is back from being idle. (Default: false)

squelchaway true/false
    Hide notifications when a buddy sets or unsets an away message. (Default: false)

respond_idle_only true/false
    Send an auto-response with your away message only when an away message is set and you are idle. (Default: false)

report_idle true/false
    Report idle times to the AIM server. (Default: true)

netspeak_filter true/false
    Enable or disable the "netspeak" and typo filter, which translates expressions like "u" into "you," and other such things. This is a bad idea if you write or receive messages in any language other than English. A complete list of replacements can be viewed in the source file cleaner.c. (Default: false)

oscarport port
    Connect to the AIM server using port port. (Default: 5190)

proxy, proxyport, proxytype
    Connect through a proxy. proxy specifies the IP address or hostname of the proxy server, proxyport is the proxy port number and proxytype is one of socks5 or https. Authentication is not currently supported.

set_window_title true/false
    Set the xterm/screen window title with "bsflite: screen name." (Default: false)

colors true/false
    Enables colors. (Default: false)

single_log true/false
    Logs to a single file (log/log). (Default: false)

Lines beginning with '#' are ignored.

FILES

~/.bsflite/config
    Configuration file

~/.bsflite/profile
    User profile, written in HTML.

~/.bsflite/awaymessages
    Pre-defined away messages, one per line. Multi-line away messages may be entered by entering <br> between lines.

~/.bsflite/log/screenname.log
    Log of all conversations with screenname, used for l commands.

~/.bsflite/log/log
    Log if single_log is turned on.

AUTHOR
Claudio Leite